OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs
yapf_node_rail.hpp File Reference

Node tailored for rail pathfinding. More...

Go to the source code of this file.

## Data Structures
struct | CYapfRailSegmentKey
| key for cached segment cost for rail YAPF More...
struct | CYapfRailSegment
| cached segment cost for rail YAPF More...
struct | CYapfRailNodeT< Tkey_ >
| Yapf Node for rail YAPF. More...

## Typedefs
typedef CYapfRailNodeT < CYapfNodeKeyExitDir > | CYapfRailNodeExitDir
typedef CYapfRailNodeT < CYapfNodeKeyTrackDir > | CYapfRailNodeTrackDir
typedef CNodeList_HashTableT < CYapfRailNodeExitDir, 8, 10 > | CRailNodeListExitDir
typedef CNodeList_HashTableT < CYapfRailNodeTrackDir, 8, 10 > | CRailNodeListTrackDir

## Detailed Description

Node tailored for rail pathfinding.

Definition in file yapf_node_rail.hpp.